> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete monitoring Data Source



## OpenAPI

````yaml /api-specs/cloud/public-api.json delete /model-monitor/v2/api/datasource
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/datasource:
    summary: Create or delete a datasource.
    delete:
      tags:
        - Data Sources
      operationId: deleteDataSource_dmm-plier
      parameters:
        - in: query
          name: datasource_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The data source object that was deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_dataSourceResponse'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_dataSourceResponse:
      oneOf:
        - $ref: '#/components/schemas/dmm-plier_s3Response'
        - $ref: '#/components/schemas/dmm-plier_genericS3Response'
        - $ref: '#/components/schemas/dmm-plier_azureBlobResponse'
        - $ref: '#/components/schemas/dmm-plier_azureDataLakeGen2Response'
        - $ref: '#/components/schemas/dmm-plier_googleCloudStorageResponse'
        - $ref: '#/components/schemas/dmm-plier_azureDataLakeGen1Response'
        - $ref: '#/components/schemas/dmm-plier_hdfsResponse'
        - $ref: '#/components/schemas/dmm-plier_nfsResponse'
        - $ref: '#/components/schemas/dmm-plier_snowflakeResponse'
      discriminator:
        propertyName: type
        mapping:
          s3:
            $ref: '#/components/schemas/dmm-plier_s3Response'
          generic_s3:
            $ref: '#/components/schemas/dmm-plier_genericS3Response'
          azure_blob:
            $ref: '#/components/schemas/dmm-plier_azureBlobResponse'
          azure_data_lake_gen_2:
            $ref: '#/components/schemas/dmm-plier_azureDataLakeGen2Response'
          google_cloud_storage:
            $ref: '#/components/schemas/dmm-plier_googleCloudStorageResponse'
          azure_data_lake_gen_1:
            $ref: '#/components/schemas/dmm-plier_azureDataLakeGen1Response'
          hdfs:
            $ref: '#/components/schemas/dmm-plier_hdfsResponse'
          nfs:
            $ref: '#/components/schemas/dmm-plier_nfsResponse'
          snowflake:
            $ref: '#/components/schemas/dmm-plier_snowflakeResponse'
    dmm-plier_s3Response:
      title: S3 Response
      description: S3 response object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_dataSourceResponseCommon'
        - type: object
          required:
            - config
          properties:
            config:
              type: object
              description: S3 Configuration options.
              required:
                - bucket
                - region
                - instance_role
              properties:
                bucket:
                  description: Name of the S3 bucket.
                  type: string
                region:
                  description: Region for the S3 bucket.
                  type: string
                instance_role:
                  description: Whether to use the attached instance Role to fetch secrets.
                  type: boolean
    dmm-plier_genericS3Response:
      title: Generic S3 Response
      description: Generic S3 response object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_dataSourceResponseCommon'
        - type: object
          required:
            - config
          properties:
            config:
              type: object
              description: Generic S3 Configuration options.
              required:
                - bucket
                - endpoint
              properties:
                bucket:
                  description: Generic S3 bucket name.
                  type: string
                endpoint:
                  description: Generic S3 endpoint.
                  type: string
    dmm-plier_azureBlobResponse:
      title: Azure Blob Response
      description: Azure Blob response object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_dataSourceResponseCommon'
        - type: object
          required:
            - config
          properties:
            config:
              type: object
              description: Azure Blob Configuration options.
              required:
                - account
                - container
              properties:
                account:
                  description: Name of the Storage Account.
                  type: string
                container:
                  description: Name of the Container.
                  type: string
    dmm-plier_azureDataLakeGen2Response:
      title: Azure Data Lake Gen 2 Response
      description: Azure Data Lake Gen 2 response object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_dataSourceResponseCommon'
        - type: object
          required:
            - config
          properties:
            config:
              $ref: '#/components/schemas/dmm-plier_adls2ConfigResponse'
    dmm-plier_googleCloudStorageResponse:
      title: Google Cloud Storage Response
      description: Google Cloud Storage response object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_dataSourceResponseCommon'
        - type: object
          required:
            - config
          properties:
            config:
              type: object
              description: Google Cloud Storage Configuration options.
              required:
                - bucket
              properties:
                bucket:
                  description: Name of the Bucket.
                  type: string
    dmm-plier_azureDataLakeGen1Response:
      title: Azure Data Lake Gen 1 Response
      description: Azure Data Lake Gen 1 response object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_dataSourceResponseCommon'
        - type: object
          required:
            - config
          properties:
            config:
              $ref: '#/components/schemas/dmm-plier_adls1ConfigResponse'
    dmm-plier_hdfsResponse:
      title: HDFS Data source Response
      description: HDFS Data source response object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_dataSourceResponseCommon'
        - type: object
          required:
            - config
          properties:
            config:
              type: object
              required:
                - host
              properties:
                host:
                  type: string
                  description: Host for the HDFS cluster
                port:
                  type: integer
                  description: Port for the HDFS cluster
                  nullable: true
    dmm-plier_nfsResponse:
      title: NFS Data source Response
      description: NFS Data source response object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_dataSourceResponseCommon'
        - type: object
          required:
            - config
          properties:
            config:
              type: object
              required:
                - path
              properties:
                path:
                  type: string
                  description: Path to access the NFS
    dmm-plier_snowflakeResponse:
      title: Snowflake Response
      description: Snowflake response object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_dataSourceResponseCommon'
        - type: object
          required:
            - config
          properties:
            config:
              type: object
              description: Snowflake Configuration options.
              required:
                - url
                - database
                - schema
                - warehouse
                - role
              properties:
                url:
                  description: Snowflake url
                  type: string
                database:
                  description: Snowflake database to use
                  type: string
                schema:
                  description: Snowflake schema
                  type: string
                warehouse:
                  description: Snowflake warehouse
                  type: string
                role:
                  description: Snowflake role
                  type: string
    dmm-plier_dataSourceResponseCommon:
      title: Data Source
      description: Datasource response object.
      type: object
      required:
        - id
        - name
        - type
        - user_id
        - created_at
        - updated_at
      properties:
        id:
          description: ID of the data source object.
          type: string
        name:
          description: Name of the data source.
          type: string
        type:
          description: Type of data source.
          type: string
        user_id:
          description: ID of the user who created the data source.
          type: string
        username:
          type: string
          description: User who has created the data source.
        created_at:
          description: Created time of the data source.
          type: number
        updated_at:
          description: Last updated time of the data source.
          type: number
    dmm-plier_adls2ConfigResponse:
      oneOf:
        - $ref: '#/components/schemas/dmm-plier_adls2SharedKeyConfigResponse'
        - $ref: '#/components/schemas/dmm-plier_adls2OAuth2ConfigResponse'
      discriminator:
        propertyName: auth
        mapping:
          shared_key:
            $ref: '#/components/schemas/dmm-plier_adls2SharedKeyConfigResponse'
          client_credentials:
            $ref: '#/components/schemas/dmm-plier_adls2OAuth2ConfigResponse'
          username_password:
            $ref: '#/components/schemas/dmm-plier_adls2OAuth2ConfigResponse'
          refresh_token:
            $ref: '#/components/schemas/dmm-plier_adls2OAuth2ConfigResponse'
          managed_identity:
            $ref: '#/components/schemas/dmm-plier_adls2OAuth2ConfigResponse'
    dmm-plier_adls1ConfigResponse:
      oneOf:
        - $ref: '#/components/schemas/dmm-plier_adls1ClientCredentialsConfigResponse'
        - $ref: '#/components/schemas/dmm-plier_adls1ManagedIdentityConfigResponse'
      discriminator:
        propertyName: auth
        mapping:
          client_credentials:
            $ref: >-
              #/components/schemas/dmm-plier_adls1ClientCredentialsConfigResponse
          managed_identity:
            $ref: '#/components/schemas/dmm-plier_adls1ManagedIdentityConfigResponse'
    dmm-plier_adls2SharedKeyConfigResponse:
      title: Azure Data Lake Gen 2 Shared Key Config Response
      description: Azure Data Lake Gen 2 Shared Key Config Response Object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_adls2CommonConfigResponse'
        - type: object
    dmm-plier_adls2OAuth2ConfigResponse:
      title: Azure Data Lake Gen 2 OAuth2 Config Response
      description: Azure Data Lake Gen 2 OAuth2 Config Response Object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_adls2CommonConfigResponse'
        - type: object
          properties:
            o_auth2_config:
              type: object
              description: OAuth 2 config object.
    dmm-plier_adls1ClientCredentialsConfigResponse:
      title: Azure Data Lake Gen 1 Client Credentials Config Response
      description: Azure Data Lake Gen 1 Client Credentials Config Response Object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_adls1CommonConfigResponse'
        - type: object
          properties:
            token_endpoint:
              type: string
              description: Endpoint to be used for authentication.
              nullable: true
            application_id:
              type: string
              description: Application ID to be used for authentication.
              nullable: true
            secret_key:
              type: string
              description: Secret Key to be used for authentication.
              nullable: true
    dmm-plier_adls1ManagedIdentityConfigResponse:
      title: Azure Data Lake Gen 1 Managed Identity Config Response
      description: Azure Data Lake Gen 1 Managed Identity Config Response Object.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_adls1CommonConfigResponse'
        - type: object
          properties:
            port:
              type: integer
              description: Port to be used for authentication.
              nullable: true
    dmm-plier_adls2CommonConfigResponse:
      title: Azure Data Lake Gen 2 Common Config Response
      description: Azure Data Lake Gen 2 Common Config Response Object.
      type: object
      required:
        - container
        - account
        - auth
      properties:
        container:
          type: string
          description: Azure Storage container.
        account:
          type: string
          description: Azure Storage Account.
        auth:
          type: string
          description: Azure Storage Auth Type.
    dmm-plier_adls1CommonConfigResponse:
      title: Azure Data Lake Gen 1 Common Config Response
      description: Azure Data Lake Gen 1 Common Config Response Object.
      type: object
      required:
        - container
        - auth
      properties:
        container:
          type: string
          description: Azure Storage container.
        auth:
          type: string
          description: Azure Storage Auth Type.
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Monitor Data Source logs](/cloud/admin/operations/audit-logs/monitor-data-source-logs.md)
- [Delete Data Source with specified ID](/api-reference/data-sources/delete-data-source-with-specified-id.md)
- [Delete model](/api-reference/model-monitoring-models/delete-model-monitorv2apimodel.md)
- [Connect a Data Source](/cloud/platform-capabilities/features/monitoring/4-set-up-model-monitor/2-connect-a-data-source.md)
